<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Form
 * @package Pinpoint\V12Finance\Block
 */

namespace Pinpoint\V12Finance\Block;

use Magento\Framework\View\Element\Template\Context;
use Pinpoint\V12Finance\Helper\Data;
use Pinpoint\V12Finance\Model\ConfigProvider;


class Form extends \Magento\Payment\Block\Form
{
    /**
     * @var Data
     */
    protected $_helper;

    /**
     * @var ConfigProvider
     */
    protected $_v12config;

    /**
     * @var string
     */
    protected $_id = 'v12finance_reference';

    /**
     * @var string
     */
    protected $_label = 'V12 Finance Reference';

    /**
     * @param Context $context
     * @param array $data
     */
    public function __construct(
        Context $context,
        Data $helper,
        ConfigProvider $v12config,
        array $data = []
    ) {
        $this->_helper = $helper;
        $this->_v12config = $v12config;
        parent::__construct($context, $data);
    }

    /**
     * @return string
     */
    public function getReferenceId()
    {
        return $this->_id;
    }

    /**
     * @return string
     */
    public function getLabel()
    {
        return $this->_label;
    }

    /**
     * @return array
     */
    public function getV12Config()
    {
        return $this->_v12config->getConfig();
    }

    /**
     * @return mixed
     */
    public function getVariableDeposit()
    {
        return $this->_helper->getVariableDeposit();
    }

    /**
     * @return int
     */
    public function getCartTotal()
    {
        return 0; //TODO: always 0?
    }
}
