<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Cancel
 * @package Pinpoint\V12Finance\Controller\Returned
 */

namespace Pinpoint\V12Finance\Controller\Returned;

use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

class Cancel extends Action
{
    /**
     * @var \Magento\Framework\View\Result\PageFactory
     */
    protected $resultPageFactory;

    /**
     * @var \Pinpoint\V12Finance\Logger\Logger
     */
    protected $_logger;

    /**
     * @var \Magento\Framework\App\RequestInterface
     */
    protected $_request;


    /**
     * Cancel constructor.
     * @param Context $context
     * @param \Magento\Framework\App\RequestInterface $request
     * @param \Pinpoint\V12Finance\Logger\Logger $logger
     * @param PageFactory $resultPageFactory
     */
    public function __construct(
        Context $context,
        \Magento\Framework\App\RequestInterface $request,
        \Pinpoint\V12Finance\Logger\Logger $logger,
        PageFactory $resultPageFactory
    ) {
        $this->resultPageFactory = $resultPageFactory;
        $this->_request = $request;
        $this->_logger = $logger;
        parent::__construct($context);
    }

    /**
     * Execute view action
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function execute()
    {

        /* @todo should this cancel an application/order? */

        return $this->resultPageFactory->create();

    }

}


