<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Index
 * @package Pinpoint\V12Finance\Controller\V12redirect
 */

namespace Pinpoint\V12Finance\Controller\V12redirect;

use Magento\Checkout\Model\Session;
use Magento\Framework\App\Action\Action;
use Magento\Framework\App\Action\Context;
use Magento\Framework\Controller\ResultFactory;
use Magento\Sales\Model\Order;
use Psr\Log\LoggerInterface as Logger;

class Index extends Action
{
    /** @var Session */
    protected $_checkoutSession;

    /**
     * Index constructor.
     * @param Context $context
     * @param Session $checkoutSession
     * @param Logger $logger
     */
    public function __construct(
        Context $context,
        Session $checkoutSession,
        Logger $logger
    ) {
        parent::__construct($context);
        $this->_checkoutSession = $checkoutSession;
        $this->_psrlogger = $logger;
    }

    /**
     * Initialize redirect to bank
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function execute()
    {
        /** @var Order $order */
        $order = $this->_checkoutSession->getLastRealOrder();
        $payment = $order->getPayment();

        $url = $this->_checkoutSession->getV12RedirectUrl();

        /** @var \Magento\Framework\Controller\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        $resultRedirect->setUrl($url);

        return $resultRedirect;
    }
}
