<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class EmailSender
 * @package Pinpoint\V12Finance\Helper
 */


namespace Pinpoint\V12Finance\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;
use Magento\Sales\Model\Order\Email\Sender\OrderSender;

class EmailSender extends AbstractHelper
{
    /**
     * @var OrderSender
     */
    protected $_orderSender;

    public function __construct(
        Context $context,
        OrderSender $orderSender
    )
    {
        $this->_orderSender = $orderSender;
        parent::__construct($context);
    }

    public function sendEmail(\Magento\Sales\Model\Order $order)
    {
        $this->_orderSender->send($order, true);
    }
}
