<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Product
 * @package Pinpoint\V12Finance\Model
 */

namespace Pinpoint\V12Finance\Model;

class Product extends \Magento\Framework\Model\AbstractModel
{
    /**
     * Cache tag
     *
     * @var string
     */
    const CACHE_TAG = 'v12finance_product';

    /**
     * Cache tag
     *
     * @var string
     */
    protected $_cacheTag = 'v12finance_product';

    /**
     * Event prefix
     *
     * @var string
     */
    protected $_eventPrefix = 'v12finance_product';

    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('Pinpoint\V12Finance\Model\ResourceModel\Product');
    }

    /**
     * Get identities
     *
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getData('id')];
    }
}
