<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Address
 * @package Pinpoint\V12Finance\Model\Rest\Api
 */

namespace Pinpoint\V12Finance\Model\Rest\Api;

class Address extends ApiAbstract
{
    /**
     * @param Mage_Customer_Model_Address_Abstract $address
     * @return $this
     */
    public function fromMageAddress($address)
    {
        $data = [
            "FlatNumber"    => "",
            "BuildingName"  => "",
            "BuildingNumber"=> "",
            "Street"        => $address->getStreet(),
            "Locality"      => "",
            "TownOrCity"    => $address->getCity(),
            "County"        => $address->getRegion(),
            "Postcode"      => $this->_formatPostcode($address->getPostcode()),
        ];

        $this->setData($data);

        return $this;
    }

    /**
     * @param string $postcode
     * @return string
     */
    protected function _formatPostcode($postcode)
    {
        $postcode = str_replace(" ", "", $postcode);
        return wordwrap($postcode, strlen($postcode) - 3, " ", true);
    }
}
