<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class CheckApplicationStatusRequest
 * @package Pinpoint\V12Finance\Model\Rest\Api
 */

namespace Pinpoint\V12Finance\Model\Rest\Api;

class CheckApplicationStatusRequest extends ApiAbstract
{
    /**
     * @param $appId
     * @return array|bool|float|int|mixed|string|null
     */
    public function makeApplicationStatusRequest($appId)
    {
        $requestUrl = $this->_helper->getGatewayUrl('CheckApplicationStatus');
        $params = $this->_getApplicationRequestData($appId);

        $response = $this->request($requestUrl, $params);

        //check for errors
        $this->apiErrorCheck($response);

        return $response;
    }

    /**
     * @param $appId
     * @return array
     */
    protected function _getApplicationRequestData($appId)
    {

        $appRequest = [
            'ApplicationId' => $appId,
            'retailer' => $this->_helper->getRetailerAuth(),
            'IncludeExtraDetails' => false,
            'IncludeFinancials' => false
        ];

        return $appRequest;
    }
}
