<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class FinanceProductListRequest
 * @package Pinpoint\V12Finance\Model\Rest\Api
 */

namespace Pinpoint\V12Finance\Model\Rest\Api;

class FinanceProductListRequest extends ApiAbstract
{
    /**
     * @return bool
     * @throws \Exception
     */
    public function getFinanceProducts()
    {
        $retailerData = $this->_helper->getRetailerAuth();

        $params = ['Retailer' => [
            'AuthenticationKey' =>$retailerData['AuthenticationKey'],
            'RetailerGuid' => $retailerData['RetailerGuid'],
            'RetailerId' => $retailerData['RetailerId']
        ]];

        $requestUrl = $this->_helper->getGatewayUrl('GetRetailerFinanceProducts');
        $response = $this->request($requestUrl, $params);

        //check for errors
        $this->apiErrorCheck($response);

        //process finance products
        return (!empty($response['FinanceProducts'])) ? $response['FinanceProducts'] : false;
    }
}
