<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class Maxdeposit
 * @package Pinpoint\V12Finance\Model\System\Config\Backend
 */

namespace Pinpoint\V12Finance\Model\System\Config\Backend;

class Maxdeposit extends \Magento\Framework\App\Config\Value
{
    /**
     * @return \Magento\Framework\App\Config\Value
     * @throws \Magento\Framework\Exception\ValidatorException
     */
    public function beforeSave()
    {
        $maxdeposit = $this->getValue();
        $maxdepositclean = preg_replace('#[^0-9]#', '', $maxdeposit);

        if (!preg_match('/^\d{1,2}$/', $maxdeposit) || $maxdepositclean < 0) {
            throw new \Magento\Framework\Exception\ValidatorException(
                __('Invalid maximum deposit percentage value. Must be whole number greater than mindeposit, and less than 100.')
            );
        }

        $this->setValue(intval($maxdeposit));

        return parent::beforeSave();
    }
}
