<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * Author: Carmine D'Amore <carmine@pinpointdesigns.co.uk>
 * Code Release Version: 1.0
 * Website: http://www.pinpointdesigns.co.uk
 *
 * Class MonthsOption
 * @package Pinpoint\V12Finance\Model\System\Config\Source
 */

namespace Pinpoint\V12Finance\Model\System\Config\Source;

use Pinpoint\V12Finance\Model\ProductFactory as V12ProductFactory;

class MonthsOption implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * @var V12ProductFactory
     */
    protected $_v12ProductFactory;

    public function __construct(
        V12ProductFactory $v12ProductFactory
    )
    {
        $this->_v12ProductFactory = $v12ProductFactory;
    }


    public function toOptionArray()
    {

        $result = $this->_v12ProductFactory->create();
        $collection = $result->getCollection(); //Get Collection of module data
        $data = $collection->getData();
        $ret = [];
        foreach ($data as $key => $value) {
            $ret[] = [
                'value' => $value['product_id'],
                'label' => $value['name']
            ];
        }
        return $ret;
    }

    public function getOriginalOption()
    {
        $result = $this->_v12ProductFactory->create();
        $collection = $result->getCollection(); //Get Collection of module data
        $data = $collection->getData();
        $ret = [];
        foreach ($data as $key => $value) {
            $ret[$value['product_id']] =  $value['name'];
        }
        return $ret;
    }

}
